#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x98,0x76,0x57,0x59,0x8B,0xD3,0x8C,0x2A,0x8F,0x19,0xE9,0x6C,
		0x63,0x42,0x76,0x14,0xCD,0x30,0x1F,0x6F,0xA0,0x99,0x85,0x43,
		0x59,0x6C,0x13,0x2E,0xDF,0x5A,0x51,0xCF,0x81,0x82,0x34,0x9C,
		0xAE,0x96,0x66,0x12,0x8E,0xAD,0xEA,0x87,0xCA,0x64,0x50,0x25,
		0x5E,0xD9,0x08,0xFE,0x07,0xF7,0xBE,0x86,0xAA,0xFA,0xEF,0x40,
		0x0D,0x36,0x8C,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
